<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 19/04/19
 * Time: 8.13
 */

namespace FiloBlu\RmaAdditionalData\Plugin;

use Magento\Framework\App\Config\ScopeConfigInterface;


class AddCustomCarrierLabel
{
    protected $scopeConfig;
    const RMA_CUSTOM_CARRIER = 'filoblu_disablerma_section/rma_group/rma_option_carrier';

    /**
     * AddCustomCarrier constructor.
     * @param ScopeConfigInterface $scopeConfig
     */
    public function __construct(ScopeConfigInterface $scopeConfig)
    {
        $this->scopeConfig = $scopeConfig;
    }

    /**
     * @param \Magento\Rma\Helper\Data $subject
     * @param $result
     * @return mixed
     */
    public function afterGetShippingCarriers(\Magento\Rma\Helper\Data $subject, $result)
    {

        if($this->scopeConfig->getValue(self::RMA_CUSTOM_CARRIER) ?? 0)
        {
            if(isset($_POST['custom']))
            {
                $result = array_merge($result,array('custom'=>$_POST['custom']));
            }

        }

        return $result;
    }

}